import React, { Component, useState, useEffect } from 'react';
import styled from 'styled-components'
import axios from 'axios';
import { apiUrl } from '../env';
import Grid from '@material-ui/core/Grid';
import Fab from '@material-ui/core/Fab';
import ExpandMoreIcon from '@material-ui/icons/ExpandMore';
import ExpandLessIcon from '@material-ui/icons/ExpandLess';
import TopicCard from './TopicCard.js';

export default function TopicList(props) {
	const [expanded, setExpanded] = useState(false);
	
	const handleFabClick = () => {
		setExpanded(!expanded);
	}

  return (
		<Wrapper>
			<Title>Módulos</Title>
			<Grid
				container
				direction="row"
				justify="flex-start"
				alignItems="center"
			>
				<TopicCard />
				<TopicCard />
				<TopicCard />
				<TopicCard />
				<TopicCard />
				<TopicCard />
				<TopicCard />
				<TopicCard />
			</Grid>
			<Grid container
				direction="column"
				justify="flex-start"
				alignItems="center"
			>
				<Grid item>
					<Fab size="medium" color="secondary" aria-label="edit" onClick={handleFabClick}>
						{expanded ? <ExpandLessIcon /> : <ExpandMoreIcon /> }
					</Fab>
				</Grid>
				<Grid item>
					<FabText>
						{ expanded ? "VER MENOS" : "VER TODOS OS MÓDULOS" }
					</FabText>
				</Grid>
			</Grid>
		</Wrapper>
  );
}

const FabText=styled.span`
	color: #666;
	font-weight: 900;
	line-height: 2em;
`
const Title=styled.h1`
	font-weight: 100;
	margin-left: 30px;
	color: rgb(102, 102, 102);
`
const Wrapper=styled.div`
		margin-right : auto;
		margin-left : auto;
		margin-bottom: 30px;

		@media screen and (max-width: 768px) {
				width : 100% !important;
		}
		@media screen and (min-width: 992px) {
				width : 770px;
		}
		@media screen and (min-width: 1200px) {
				width : 970px !important;
		}
`
